{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "options": {
    },
    "tasks": [
        {
            "label": "X86_64 - cmake - domod",
            "type": "shell",
            "command": "mkdir -p ${BUILD_DIR}/domod && cd ${BUILD_DIR}/domod && cmake -DMODULE_PATH=${workspaceRoot}/bsp/cmake-modules -DworkspaceRoot=${workspaceRoot} -DCMAKE_BUILD_TYPE=Debug -DCMAKE_TOOLCHAIN_FILE=${workspaceRoot}/bsp/cmake-modules/toolchain-buildroot.cmake -DCMAKE_INSTALL_PREFIX=${workspaceRoot}/_builds/x86_64_domo-debug/buildroot/staging/usr/ ${workspaceRoot}/src/prog/domod/builders/cmake",
            "group": "build",
            "options": {
                "env": {
                    "BUILD_DIR": "${workspaceRoot}/_builds/x86_64_domo-debug/buildroot/build/"
                }
            },
            "presentation": {
                "echo": true,
                "reveal": "always"
            },
            "problemMatcher": []
        },
        {
            "label": "X86_64 - make - domod",
            "options": {
                "cwd": "${workspaceRoot}/_builds/x86_64_domo-debug/buildroot/build/domod",
            },
            "type": "shell",
            "command": "make install",
            "group": "build",
            "presentation": {
                "echo": true,
                "reveal": "always"
            },
            "problemMatcher": [
                "$gcc"
            ]
        },
        {
            "label": "X86_64 - cmake - libubus-cpp",
            "type": "shell",
            "command": "mkdir -p ${BUILD_DIR}/libubus-cpp && cd ${BUILD_DIR}/libubus-cpp && cmake -DMODULE_PATH=${workspaceRoot}/bsp/cmake-modules -DworkspaceRoot=${workspaceRoot} -DCMAKE_BUILD_TYPE=Debug -DCMAKE_TOOLCHAIN_FILE=${workspaceRoot}/bsp/cmake-modules/toolchain-buildroot.cmake -DCMAKE_INSTALL_PREFIX=${workspaceRoot}/_builds/x86_64_domo-debug/buildroot/staging/usr/ ${workspaceRoot}/src/lib/libubus-cpp/builders/cmake",
            "group": "build",
            "options": {
                "env": {
                    "BUILD_DIR": "${workspaceRoot}/_builds/x86_64_domo-debug/buildroot/build/"
                }
            },
            "presentation": {
                "echo": true,
                "reveal": "always"
            },
            "problemMatcher": []
        },
        {
            "label": "X86_64 - make - libubus-cpp",
            "options": {
                "cwd": "${workspaceRoot}/_builds/x86_64_domo-debug/buildroot/build/libubus-cpp",
            },
            "type": "shell",
            "command": "make install",
            "group": "build",
            "presentation": {
                "echo": true,
                "reveal": "always"
            },
            "problemMatcher": [
                "$gcc"
            ]
        },
    ]
}